aboutsummaryrefslogtreecommitdiff
path: root/bash/prompt.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/prompt.bash')
-rw-r--r--bash/prompt.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/bash/prompt.bash b/bash/prompt.bash
new file mode 100644
index 0000000..2510ea5
--- /dev/null
+++ b/bash/prompt.bash
@@ -0,0 +1,12 @@
+# vi:syntax=sh
+
+function prompt_command () {
+ local EXIT="$?"
+ if [ $EXIT -eq 0 ]; then
+ EXIT=""
+ fi
+ #PS1="\n${cyan}\h:$(virtualenv_prompt) ${reset_color} ${yellow}\w ${green}$(scm_prompt_info)\n${red}${EXIT} ${reset_color}→ "
+ PS1="\n${cyan}\h: ${reset_color} ${yellow}\w \n${red}${EXIT} ${reset_color}→ "
+}
+
+PROMPT_COMMAND=prompt_command